//-------------------------------------------------------//
//        Project Code : V2H6K01-23-ENEMAN
//           File Name : DigitalFilter.cpp
//          Created on : 2023. 07. 26
//         Description :
//              Author : KimJeongWoo
//  Last modified Date : 
//-------------------------------------------------------//

#include "Cpu1DeviceDefine.h"
#include "DigitalFilter.h"

struct sLpf1st Lpf_UV_CH1;
struct sLpf1st Lpf_VIS_CH1;
struct sLpf1st Lpf_IR_CH1;

struct sLpf1st Lpf_UV_CH2;
struct sLpf1st Lpf_VIS_CH2;
struct sLpf1st Lpf_IR_CH2;

struct sLpf1st Lpf_UV_CH3;
struct sLpf1st Lpf_VIS_CH3;
struct sLpf1st Lpf_IR_CH3;

struct sLpf1st Lpf_UV_CH4;
struct sLpf1st Lpf_VIS_CH4;
struct sLpf1st Lpf_IR_CH4;

struct sLpf1st LpfVnwInv;
struct sLpf1st LpfIacInv;
struct sLpf1st LpfIuInv;

struct sLpf1st LpfIwInv;
struct sLpf1st LpfIacGrid;
struct sLpf1st LpfIuGrid;

struct sLpf1st LpfIwGrid;
struct sLpf1st LpfIzct;
struct sLpf1st LpfIuGridExt;
struct sLpf1st LpfIwGridExt;

struct sLpf1st LpfVdeGrid;
struct sLpf1st LpfVqeGrid;

struct sLpf1st LpfVdeInv;
struct sLpf1st LpfVqeInv;

struct sLpf1st LpfIdeGrid;
struct sLpf1st LpfIqeGrid;

struct sLpf1st LpfIdeInv;
struct sLpf1st LpfIqeInv;

struct sLpf1st LpfFreqOut;

float Fcut_UV_CH1 = 2000;
float Fcut_VIS_CH1 = 2000;
float Fcut_IR_CH1 = 2000;

float Fcut_UV_CH2 = 2000;
float Fcut_VIS_CH2 = 2000;
float Fcut_IR_CH2 = 2000;

float Fcut_UV_CH3 = 2000;
float Fcut_VIS_CH3 = 2000;
float Fcut_IR_CH3 = 2000;

float Fcut_UV_CH4 = 2000;
float Fcut_VIS_CH4 = 2000;
float Fcut_IR_CH4 = 2000;


void InitLpf1st(void)
{
	Lpf_UV_CH1.Init(&Fcut_UV_CH1, Tsamp, &CH1_UV);
	Lpf_VIS_CH1.Init(&Fcut_VIS_CH1, Tsamp, &CH1_VIS);
	Lpf_IR_CH1.Init(&Fcut_IR_CH1, Tsamp, &CH1_IR);

	Lpf_UV_CH2.Init(&Fcut_UV_CH2, Tsamp, &CH2_UV);
	Lpf_VIS_CH2.Init(&Fcut_VIS_CH2, Tsamp, &CH2_VIS);
	Lpf_IR_CH2.Init(&Fcut_IR_CH2, Tsamp, &CH2_IR);

	Lpf_UV_CH3.Init(&Fcut_UV_CH3, Tsamp, &CH3_UV);
	Lpf_VIS_CH3.Init(&Fcut_VIS_CH3, Tsamp, &CH3_VIS);
	Lpf_IR_CH3.Init(&Fcut_IR_CH3, Tsamp, &CH3_IR);

	Lpf_UV_CH4.Init(&Fcut_UV_CH4, Tsamp, &CH4_UV);
	Lpf_VIS_CH4.Init(&Fcut_VIS_CH4, Tsamp, &CH4_VIS);
	Lpf_IR_CH4.Init(&Fcut_IR_CH4, Tsamp, &CH4_IR);

}

void Lpf1stCoefUpdate(void)
{

	Lpf_UV_CH1.CoeffUpdate();
	Lpf_VIS_CH1.CoeffUpdate();
	Lpf_IR_CH1.CoeffUpdate();

	Lpf_UV_CH2.CoeffUpdate();
	Lpf_VIS_CH2.CoeffUpdate();
	Lpf_IR_CH2.CoeffUpdate();

	Lpf_UV_CH3.CoeffUpdate();
	Lpf_VIS_CH3.CoeffUpdate();
	Lpf_IR_CH3.CoeffUpdate();

	Lpf_UV_CH4.CoeffUpdate();
	Lpf_VIS_CH4.CoeffUpdate();
	Lpf_IR_CH4.CoeffUpdate();


}

void Lpf1stRun()
{
	CH1_UV_Flt = Lpf_UV_CH1.Run();
	CH1_VIS_Flt = Lpf_VIS_CH1.Run();
	CH1_IR_Flt = Lpf_IR_CH1.Run();

	CH2_UV_Flt = Lpf_UV_CH2.Run();
	CH2_VIS_Flt = Lpf_VIS_CH2.Run();
	CH2_IR_Flt = Lpf_IR_CH2.Run();

	CH3_UV_Flt = Lpf_UV_CH3.Run();
	CH3_VIS_Flt = Lpf_VIS_CH3.Run();
	CH3_IR_Flt = Lpf_IR_CH3.Run();

	CH4_UV_Flt = Lpf_UV_CH4.Run();
	CH4_VIS_Flt = Lpf_VIS_CH4.Run();
	CH4_IR_Flt = Lpf_IR_CH4.Run();

}
