//-------------------------------------------------------//
//        Project Code : ALE300K03-21-LGE-GEN2.0-BE-CPU1
//           File Name : CodeLibMath.h
//          Created on : 2022. 11. 5.
//         Description :
//              Author : KimJeongWoo
//  Last modified Date :
//-------------------------------------------------------//

#ifndef COMMON_RESOURCE_CODELIBRARY_CODELIBMATH_H_
#define COMMON_RESOURCE_CODELIBRARY_CODELIBMATH_H_

#ifdef __cplusplus
extern "C" {
#endif


typedef int                                     int16;
typedef long                                    int32;
typedef long long                               int64;
typedef unsigned char      						Uint8;
typedef unsigned int                            Uint16;
typedef unsigned long                           Uint32;
typedef unsigned long long                      Uint64;
typedef float                                   float32;
typedef long double                             float64;

#include <stdint.h>
typedef uint16_t uint8_t;
typedef int16_t int8_t;


#define PI          3.14159265358979323846
#define INV_PI      0.31830988618379067153

#define SQRT2       1.41421356237309504880
#define SQRT3       1.73205080756887729352
#define INV_SQRT2   0.70710678118654752440
#define INV_SQRT3   0.57735026918962576450

#define INV3        0.33333333333333333333

#define BOUND_PI(x)	((x) + (((x) > PI) ? (-2. * PI) : ((x) < (-PI)) ? (2. * PI) : 0.))
#define LIMITER(value,Upper,Lower)  ((value) > (Upper) ? (Upper) : (value) < (Lower) ? (Lower) : (value))

#include "math.h"
#include "Util/Util.h"



#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* COMMON_RESOURCE_CODELIBRARY_CODELIBMATH_H_ */
