//-------------------------------------------------------//
//        Project Code : CodeLibrary
//           File Name : Lpf.h
//          Created on : 2022. 11. 5.
//         Description :
//              Author : KimJeongWoo
//  Last modified Date :
//-------------------------------------------------------//

#ifndef DIGITALFILTER_LPF_H_
#define DIGITALFILTER_LPF_H_

#ifdef __cplusplus
extern "C" {
#endif

struct sLpf1st
{
	float *pInData;
	float *pFcut;

	float in, old;
	float out;
	float a1, b0;
	float Fcut, Wc;

	float Tfsamp;

	void Init(float *Fcutoff, float SamplingTime, float *InData);
	void CoeffUpdate(void);
	float Run(void);
};

struct sLpf2nd
{
	float *pInData;
	float *pFcut;
	float *pQf;     // Q Factor

	float in, in1, in2;
	float out, out1, out2;
	float a0, a1, a2, b0, b1, b2;
	float d0, d1, d2, d3;
	float Fcut, Wc;
	float zeta;

	float Ts;

	void Init(float *Fcutoff, float *Qf, float Tsampling, float *InData);
	void CoeffUpdate(void);
	float Run(void);
};

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* COMMON_RESOURCE_CODELIBRARY_DIGITALFILTER_LPF_H_ */
