//-------------------------------------------------------//
//        Project Code : CodeLibrary
//           File Name : Notch.cpp
//          Created on : 2022. 12. 20.
//         Description :
//              Author : KimJeongWoo
//  Last modified Date :
//-------------------------------------------------------//

#include "DigitalFilter/Notch.h"
#include "CodeLibMath.h"


void sNotch::CoeffUpdate()
{
    //	Fcut = Fcutoff;
        //LPF1st_Fcut = mCut_Off_Freq;

    Fcut = (float)*pFcut;
    Wc = 2. * PI * Fcut;
    //K = 2. / Ts; // Tustin
    k = Wc / tan((Wc * Ts) / 2.); // PreaWarp

    //임시
    c = 10;    //대역폭
    d = 0.001; //감쇠율

    zeta1 = 1 / c;
    zeta2 = d / c;



    d0 = 2. * k * Wc;
    d1 = k * k + Wc * Wc;
    d2 = ( -2. * k * k) + (2 * Wc * Wc);

    a0 = (d0 * zeta1 + d1);
    a1 = d2 / a0;
    a2 = ( -1. * d0 * zeta1 + d1) / a0;
    b0 = (d0 * zeta2 + d1) / a0;
    b1 = d2 / a0;
    b2 = ( -1. * d0 * zeta2 + d1) / a0;

}

void sNotch::Init(float* Fcutoff, float SamplingTime, float* InData)
{
    pInData = (float*)InData;
    Ts = SamplingTime;

    pFcut = (float*)Fcutoff;

    Wc = 0.;
    a0 = 0.;
    a1 = 0.;
    b0 = 0.;
    b1 = 0.;
    b2 = 0.;

    in = 0.; // x[n]
    in1 = 0.; // x[n-1]
    in2 = 0.; // x[n-2]

    out = 0.;  // y[n]
    out1 = 0.;  // y[n-1]
    out2 = 0.;  // y[n-2]

    CoeffUpdate();
}

float sNotch::Run(void)
{
    in = *pInData;
    out = (b0 * in + b1 * in1 + b2 * in2) - (a1 * out1 + a2 * out2);

    in2 = in1;
    in1 = in;

    out2 = out1;
    out1 = out;


    return out;
}
