﻿//-------------------------------------------------------//
//        Project Code : CodeLibrary
//           File Name : SogiPll3ph.h
//          Created on : 2019. 06. 07.
//         Description :
//              Author : KimJeongWoo
//  Last modified Date :
//-------------------------------------------------------//

#ifndef PLL_SOGIPLL3PH_H_
#define PLL_SOGIPLL3PH_H_
#ifdef __cplusplus
extern "C" {
#endif

//Second Order Generalized Integrators PLL
//Inph 	: 동상
//Lagph	: 지상
struct sSogiPll
{

	float Eds[3];
	float EdsIn[3];					//Eds 동상
	float EdsLag[3];				//Eds 90도 지상

	float Eqs[3];
	float EqsIn[3];					//Eqs 동상
	float EqsLag[3];				//Eqs 90도 지상

	float EdsPos, EdePos;			//Pos 정상분
	float EqsPos, EqePos;

	float EdsNeg, EdeNeg;			//Neg 역상분
	float EqsNeg, EqeNeg;

	float k;						//k 비례게인

	float Kp;
	float Ki;
	float Wc;
	float Zeta;
	float Integ;
	float Err;
	float Fb;

	float Q_a0;			//Q-Axis
	float Q_a1;
	float Q_a2;
	float Q_b0;
	float Q_b1;
	float Q_b2;

	float D_a0;
	float D_a1;
	float D_a2;
	float D_b0;
	float D_b1;
	float D_b2;

	float d0; //연산량 줄이기용
	float d1;
	float d2;

	float Wehat;
	float Thetahat;

	float FreqOut;

	void Reset(float mFreq_rate, float mTsamp);
	void Init(float mEqe_rate, float mFreq_rate, float mTsamp);
	float Run(float mEds, float mEqs, float mFreq_rate, float mTsamp);

};


#ifdef __cplusplus
}
#endif // extern "C" //
#endif // MAIN_RESOURCE_INCLUDE_SOGIPLL_H_ //
