//-------------------------------------------------------//
//        Project Code : ALE300K03-21-LGE-GEN2.0-ME-CPU1
//           File Name : Adc_Driver.h
//          Created on : 2022. 10. 16.
//         Description :
//              Author : KimJeongWoo
//  Last modified Date :
//-------------------------------------------------------//

#ifndef MAIN_RESOURCE_ADC_SETTING_ADC_DRIVER_H_
#define MAIN_RESOURCE_ADC_SETTING_ADC_DRIVER_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <CommonLib.h>


#define ADCA_FORCE_SOC_SET ( ADC_FORCE_SOC0 \
                           | ADC_FORCE_SOC1 \
                           | ADC_FORCE_SOC2 \
                           | ADC_FORCE_SOC3 \
                           | ADC_FORCE_SOC4 \
                           | ADC_FORCE_SOC5 \
                           | ADC_FORCE_SOC6 \
                           | ADC_FORCE_SOC7 \
						   | ADC_FORCE_SOC8 )

#define ADCB_FORCE_SOC_SET ( ADC_FORCE_SOC0 \
                           | ADC_FORCE_SOC1 \
                           | ADC_FORCE_SOC2 \
                           | ADC_FORCE_SOC3 \
                           | ADC_FORCE_SOC4 \
                           | ADC_FORCE_SOC5 )

#define ADCC_FORCE_SOC_SET ( ADC_FORCE_SOC2 \
                           | ADC_FORCE_SOC3 \
                           | ADC_FORCE_SOC4 \
                           | ADC_FORCE_SOC5 )

#define ADCD_FORCE_SOC_SET ( ADC_FORCE_SOC0 \
                           | ADC_FORCE_SOC1 \
                           | ADC_FORCE_SOC2 \
                           | ADC_FORCE_SOC3 \
                           | ADC_FORCE_SOC4 \
                           | ADC_FORCE_SOC5 )

extern void InitAdc();

extern void ConfigAdc();
extern void SetupAdcSoc();

extern void AdcForceSoc();
extern void AdcIntEocState();

#pragma SET_CODE_SECTION(".TI.ramfunc")
extern void AdcIntInterruptClear();
#pragma SET_CODE_SECTION()



struct sAdc
{
    int RawData[32];
	int Data[32];
    float Offset[32];
    float OffsetDefault[32];
    float OffsetSum[32];
    float OffsetDelt[32];

    float InversBit;

    int Cmd_Reset;
};


#pragma SET_DATA_SECTION(".AdcLib")

extern struct sAdc Adc;

extern unsigned int CntWaitAdcEoc;
extern unsigned int SetWaitAdcEoc;

extern int Flag_ErrEoc;

#pragma SET_DATA_SECTION()






#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* MAIN_RESOURCE_ADC_SETTING_ADC_DRIVER_H_ */
