//-------------------------------------------------------//
//        Project Code : V2H6K01-23-ENEMAN
//           File Name : CanCHAdeMODataMap.h
//          Created on : 2023. 11. 15.
//         Description :
//              Author : KwonJeongMin
//  Last modified Date :
//-------------------------------------------------------//

#ifndef COMMON_RESOURCE_COMMONLIBRARY_INCLUDE_CANCHADEMODATAMAP_H_
#define COMMON_RESOURCE_COMMONLIBRARY_INCLUDE_CANCHADEMODATAMAP_H_

#ifdef __cplusplus
extern "C" {
#endif

#include  "CommonLib.h"

struct sCanCHAdeMOIDx00
{
    float IbatRef;
    union uSTATUS Status;
    uint16_t :16;
};

struct sCanCHAdeMOIDx01
{
    uint16_t HeartBeat :16;
    uint16_t Mode :16;
    uint32_t :32;
};

struct sCanCHAdeMOIDx02
{
//    union uFAULT_HW FaultHW;
    union uFAULT_SW1 FaultSW1;
};

struct sCanCHAdeMOIDx03
{
    union uFAULT_SW2 FaultSW2;
    union uFAULT_SW3 FaultSW3;
};

struct sCanCHAdeMOIDx04
{
    float Temp_AcSwHeatSink1;
    float Temp_AcSwHeatSink2;
};

struct sCanCHAdeMOIDx05
{
    float Temp_DcSwHeatSink1;
    float Temp_DcSwHeatSink2;
};

struct sCanCHAdeMOIDx06
{
    float Temp_Spare1;
    float Temp_Spare2;
};

struct sCanCHAdeMOIDx07
{
    float Ibat;
    float Vbat;
};

struct sCanCHAdeMOIDx08
{
    float Pbat;
    float Vdc;
};

struct sCanCHAdeMOIDx09
{
    float Vqe;
    float Iqe;
};

struct sCanCHAdeMOIDx0A
{
    float Pinv;
    uint32_t :32;
};

union uCanCHAdeMOIDx00
{
    uint64_t all;
    struct sCanCHAdeMOIDx00 bit;
};

union uCanCHAdeMOIDx01
{
    uint64_t all;
    struct sCanCHAdeMOIDx01 bit;
};

union uCanCHAdeMOIDx02
{
    uint64_t all;
    struct sCanCHAdeMOIDx02 bit;
};

union uCanCHAdeMOIDx03
{
    uint64_t all;
    struct sCanCHAdeMOIDx03 bit;
};

union uCanCHAdeMOIDx04
{
    uint64_t all;
    struct sCanCHAdeMOIDx04 bit;
};

union uCanCHAdeMOIDx05
{
    uint64_t all;
    struct sCanCHAdeMOIDx05 bit;
};

union uCanCHAdeMOIDx06
{
    uint64_t all;
    struct sCanCHAdeMOIDx06 bit;
};

union uCanCHAdeMOIDx07
{
    uint64_t all;
    struct sCanCHAdeMOIDx07 bit;
};

union uCanCHAdeMOIDx08
{
    uint64_t all;
    struct sCanCHAdeMOIDx08 bit;
};

union uCanCHAdeMOIDx09
{
    uint64_t all;
    struct sCanCHAdeMOIDx09 bit;
};

union uCanCHAdeMOIDx0A
{
    uint64_t all;
    struct sCanCHAdeMOIDx0A bit;
};

//ID0xx = Master, ID1xx = Slave
struct sCanCHAdeMODataSet
{
    union uCanCHAdeMOIDx00 IDx00;
    union uCanCHAdeMOIDx01 IDx01;
    union uCanCHAdeMOIDx02 IDx02;
    union uCanCHAdeMOIDx03 IDx03;
    union uCanCHAdeMOIDx04 IDx04;
    union uCanCHAdeMOIDx05 IDx05;
    union uCanCHAdeMOIDx06 IDx06;
    union uCanCHAdeMOIDx07 IDx07;
    union uCanCHAdeMOIDx08 IDx08;
    union uCanCHAdeMOIDx09 IDx09;
    union uCanCHAdeMOIDx0A IDx0A;
};

union uCanCHAdeMO
{
    struct sCanCHAdeMODataSet Data;
    uint64_t DataArr[0x0A + 1];
};

struct sCanCHAdeMO
{
    union uCanCHAdeMO Mas;
    union uCanCHAdeMO Slv;
};


#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* COMMON_RESOURCE_COMMONLIBRARY_INCLUDE_CANCHADEMODATAMAP_H_ */
