//-------------------------------------------------------//
//        Project Code : V2H6K01-23-ENEMAN
//           File Name : Eeprom.h
//          Created on : 2023. 10. 31.
//         Description : EEPROM Library (SPI-Type)
//              Author : "Kim JeongWoo"
//  Last modified Date :
//-------------------------------------------------------//


#ifndef COMMON_RESOURCE_COMMONLIBRARY_SOURCE_EEPROM_H_
#define COMMON_RESOURCE_COMMONLIBRARY_SOURCE_EEPROM_H_


#ifdef __cplusplus
extern "C" {
#endif

//EEPROM 저장영역 설정
#define pEepromAdcScale  	0x0000
#define pEepromAdcOffset 	0x0100
#define pEepromExor       	0x1000
#define pEepromChk			0x3000

#define EEPROM_MAX_SIZE  0xFFFF /4

extern void EepromWriteAdcScale();
extern void EepromReadAdcScale();

extern void EepromWriteAdcOffset();
extern void EepromReadAdcOffset();

extern void EepromReadDioExor();
extern void EepromWriteDioExor();

extern void EepromCmds();
extern void EepromChk();

//for test
extern void EepromChkCodeClr();
extern void EepromChkCodeWr();


extern unsigned int FlagWrAdcScale;
extern unsigned int FlagRdAdcScale;
extern unsigned int FlagWrAdcOffset;
extern unsigned int FlagRdAdcOffset;

extern float Testpcs1;
extern float Testpcs2;
extern float Testpcs3;



#ifdef __cplusplus
}
#endif /* extern "C" */




#endif /* COMMON_RESOURCE_COMMONLIBRARY_SOURCE_EEPROM_H_ */
