//-------------------------------------------------------//
//        Project Code : V2H6K01-ENEMAN-CPU1
//           File Name : EepromLib.h
//          Created on : 2023. 07. 12.
//         Description :
//              Author : KWONJEONGMIN
//  Last modified Date :
//-------------------------------------------------------//

#ifndef COMMON_RESOURCE_COMMONLIBRARY_INCLUDE_EEPROMLIB_H_
#define COMMON_RESOURCE_COMMONLIBRARY_INCLUDE_EEPROMLIB_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <CommonLib.h>

#define ERASE   0x0380    //ERASE
#define ERAL    0x0240    //ERASE ALL
#define EWDS    0x0200    //ERASE/WRITE DISABLE
#define EWEN    0x0260    //ERASE/WRITE ENABLE
#define READ    0x0300    //READ
#define WRITE   0x0280    //WRITE
#define WRAL    0x0220    //WRITE ALL

//extern void InitSpi();
extern void InitSpiGpio();

extern void ew_disable();
extern void ew_enable();
extern bool is_ew_enabled();
extern void erase_all();
extern void write_all();
extern void write();
extern void erase();
extern word read();


#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* COMMON_RESOURCE_COMMONLIBRARY_INCLUDE_EEPROMLIB_H_ */
