/***************************************************************
    RTC_SPI.h
	copyright (c) 2017 by Sang-Yong Kim
	All Rights Reserved.
****************************************************************/
#ifndef _RTC_SPI_H__
#define _RTC_SPI_H__

// Read, Write Mode
#define RTC_RD	0x00
#define RTC_WR	0x80

// ADDR Preset
#define RTC_SEC 		0x00
#define RTC_MIN	 		0x01
#define RTC_HOUR 		0x02
#define RTC_DAY 		0x03
#define RTC_DATE 		0x04
#define RTC_MONTH 		0x05
#define RTC_YEAR 		0x06

#define RTC_ALARM1_SEC 		0x07
#define RTC_ALARM1_MIN  	0x08
#define RTC_ALARM1_HOUR 	0x09
#define RTC_ALARM1_DAY_DATE 0x0A

#define RTC_ALARM2_MIN 		0x0B
#define RTC_ALARM2_HOUR 	0x0C
#define RTC_ALARM2_DATE 	0x0D

#define RTC_CTRL		 	0x0E
#define RTC_CTRL_STATUS 	0x0F

#define RTC_XTAL_AGING_OFFSET 	0x10

#define RTC_TEMP_MSB 0x11
#define RTC_TEMP_LSB 0x12

extern int Time_sec, Time_min, Time_hour;
extern int Day_date, Day_month, Day_year;
extern int Write_sec,Write_min,Write_hour;
extern int Write_date,Write_month,Write_year;
extern int Time_1224, Time_AMPM;
extern int State_RTC_Write_complete;

void SPI_RTC_Read_Sequence();
void SPI_RTC_Write_Sequence();

extern void InitSpi_RTC();


#endif	// of _RTC_SPI_H__
